BizKitHub
DocsAPI ReferenceBranch/bff/branch/attachable-calendars
getBranchAdmin BFF

/bff/branch/attachable-calendars

Returns calendars currently free (not attached to any branch) plus calendars already attached to this branch. Calendars attached to a different branch are excluded.

BranchgetBffBranchAttachable-calendars

Parameters

1 query

Query parameters

· 1
slugstringRequired

Branch slug.

Exampleexample_slug

Response schema

1 status code documented

200Success
itemsobject[]Required
Each array item:
idstringRequired
namestringRequired
codestringRequired
colorHexstringOptional
attachedToBranchIdstringOptional
attachedToBranchNamestringOptional
itemCountnumberRequired

Response example

application/json
{
  "items": [
    {
      "id": "example_id",
      "name": "example_name",
      "code": "example_code",
      "colorHex": "example_colorHex",
      "attachedToBranchId": "example_attachedToBranchId",
      "attachedToBranchName": "example_attachedToBranchName"
    }
  ],
  "itemCount": 0
}

Request example

GET /bff/branch/attachable-calendars

get
curl -X GET "https://api.bizkithub.com/bff/branch/attachable-calendars?slug=example_slug" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key